SectionPanel (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.form
Class SectionPanel

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.form.SectionPanel

public class SectionPanel
extends java.lang.Object

Responsible for displaying the graphical representation of an ACD section. This also handles events related to dependent parameters.

Field Summary
`private AlignFormat` | `af`
`static int` | `ajaxLength`
`static boolean` | `ajaxProtein`
`static float` | `ajaxWeight`
`private java.lang.String` | `appName`
`private javax.swing.JCheckBox[]` | `checkBox`
`private java.lang.String[]` | `db`
`private javax.swing.JFrame` | `f`
`private myComboPopup[]` | `fieldOption`
`private ListFilePanel[]` | `filelist`
`private SetInFileCard[]` | `inSeq`
`private InputSequenceAttributes[]` | `inSeqAttr`
`private boolean` | `isAdv`
`private boolean` | `isInp`
`private boolean` | `isOut`
`private boolean` | `isReq`
`private boolean` | `isShadedGUI`
`private javax.swing.Box[]` | `lab`
`static java.awt.Color` | `labelColor`
`static java.awt.Font` | `labfont`
`static java.awt.Font` | `labfont2`
`private int` | `maxSectionWidth`
`private javax.swing.JList[]` | `multiOption`
`private JembossParams` | `mysettings`
`private int` | `nf`
`private int` | `numofFields`
`private javax.swing.JPanel` | `p3`
`private ParseAcd` | `parseAcd`
`private javax.swing.JTextField[]` | `rangeField`
`private ReportFormat` | `rf`
`private javax.swing.Box` | `sectionBox`
`private javax.swing.JPanel` | `sectionPane`
`private TextFieldSink[]` | `textf`
`private TextFieldFloat[]` | `textFloat`
`private TextFieldInt[]` | `textInt`
`private boolean` | `withSoap`

Constructor Summary
`protected` | `SectionPanel(javax.swing.JFrame f, javax.swing.JPanel p3, javax.swing.Box fieldPane, ParseAcd parseAcd, int nff, TextFieldSink[] textf, TextFieldInt[] textInt, TextFieldFloat[] textFloat, javax.swing.JTextField[] rangeField, javax.swing.JCheckBox[] checkBox, InputSequenceAttributes[] inSeqAttr, myComboPopup[] fieldOption, javax.swing.JList[] multiOption, SetInFileCard[] inSeq, ListFilePanel[] filelist, java.lang.String[] db, java.lang.String des, javax.swing.Box[] lab, int numofFields, JembossParams mysettings, boolean withSoap)`

Method Summary
`private void` | `checkDependents(javax.swing.Box section)` Checks for dependent variables and adds in action listeners
`protected AlignFormat` | `getAlignFormat()`
`protected int` | `getFieldNum()`
`private java.lang.String` | `getMinMaxDefault(java.lang.String min, java.lang.String max, java.lang.String def, int nfield)`
`protected ReportFormat` | `getReportFormat()`
`protected javax.swing.Box` | `getSectionBox()`
`protected javax.swing.JPanel` | `getSectionPanel()`
`protected boolean` | `isAdvancedSection()`
`protected boolean` | `isAlignFormat()`
`protected boolean` | `isInputSection()`
`protected boolean` | `isOutputSection()`
`protected boolean` | `isReportFormat()`
`protected boolean` | `isRequiredSection()`
`private void` | `resolveDependents(int nod, Dependent[] dep, java.lang.String textVal, java.lang.String varName)` Given an ACD variable and the value it takes, resolve any dependent attribute values.
`private void` | `sectionResize(javax.swing.JPanel p)`
`private void` | `setAppTitle(java.lang.String des, javax.swing.JPanel p3)`
`private void` | `setShadingAndVisibility(java.awt.Component c, boolean useThis, int field)`
`private boolean` | `updateBeginEnd(java.lang.String s, java.lang.String e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textf

    private TextFieldSink[] textf

### textInt

    private TextFieldInt[] textInt

### textFloat

    private TextFieldFloat[] textFloat

### rangeField

    private javax.swing.JTextField[] rangeField

### checkBox

    private javax.swing.JCheckBox[] checkBox

### inSeqAttr

    private InputSequenceAttributes[] inSeqAttr

### filelist

    private ListFilePanel[] filelist

### fieldOption

    private myComboPopup[] fieldOption

### multiOption

    private javax.swing.JList[] multiOption

### inSeq

    private SetInFileCard[] inSeq

### lab

    private javax.swing.Box[] lab

### db

    private java.lang.String[] db

### parseAcd

    private ParseAcd parseAcd

### numofFields

    private int numofFields

### nf

    private int nf

### ajaxLength

    public static int ajaxLength

### ajaxWeight

    public static float ajaxWeight

### ajaxProtein

    public static boolean ajaxProtein

### withSoap

    private boolean withSoap

### appName

    private java.lang.String appName

### p3

    private javax.swing.JPanel p3

### sectionPane

    private javax.swing.JPanel sectionPane

### sectionBox

    private javax.swing.Box sectionBox

### mysettings

    private JembossParams mysettings

### isInp

    private boolean isInp

### isReq

    private boolean isReq

### isAdv

    private boolean isAdv

### isOut

    private boolean isOut

### isShadedGUI

    private boolean isShadedGUI

### labelColor

    public static java.awt.Color labelColor

### labfont

    public static java.awt.Font labfont

### labfont2

    public static java.awt.Font labfont2

### maxSectionWidth

    private final int maxSectionWidth

See Also:
  Constant Field Values

### f

    private javax.swing.JFrame f

### rf

    private ReportFormat rf

### af

    private AlignFormat af

Constructor Detail

### SectionPanel

    protected SectionPanel(javax.swing.JFrame f,
                           javax.swing.JPanel p3,
                           javax.swing.Box fieldPane,
                           ParseAcd parseAcd,
                           int nff,
                           TextFieldSink[] textf,
                           TextFieldInt[] textInt,
                           TextFieldFloat[] textFloat,
                           javax.swing.JTextField[] rangeField,
                           javax.swing.JCheckBox[] checkBox,
                           InputSequenceAttributes[] inSeqAttr,
                           myComboPopup[] fieldOption,
                           javax.swing.JList[] multiOption,
                           SetInFileCard[] inSeq,
                           ListFilePanel[] filelist,
                           java.lang.String[] db,
                           java.lang.String des,
                           javax.swing.Box[] lab,
                           int numofFields,
                           JembossParams mysettings,
                           boolean withSoap)

Method Detail

### getReportFormat

    protected ReportFormat getReportFormat()

### isReportFormat

    protected boolean isReportFormat()

### getAlignFormat

    protected AlignFormat getAlignFormat()

### isAlignFormat

    protected boolean isAlignFormat()

### getSectionPanel

    protected javax.swing.JPanel getSectionPanel()

### getSectionBox

    protected javax.swing.Box getSectionBox()

### isInputSection

    protected boolean isInputSection()

### isOutputSection

    protected boolean isOutputSection()

### isRequiredSection

    protected boolean isRequiredSection()

### isAdvancedSection

    protected boolean isAdvancedSection()

### getFieldNum

    protected int getFieldNum()

### setAppTitle

    private void setAppTitle(java.lang.String des,
                             javax.swing.JPanel p3)

### getMinMaxDefault

    private java.lang.String getMinMaxDefault(java.lang.String min,
                                              java.lang.String max,
                                              java.lang.String def,
                                              int nfield)

### checkDependents

    private void checkDependents(javax.swing.Box section)

  Checks for dependent variables and adds in action listeners

### updateBeginEnd

    private boolean updateBeginEnd(java.lang.String s,
                                   java.lang.String e)

### resolveDependents

    private void resolveDependents(int nod,
                                   Dependent[] dep,
                                   java.lang.String textVal,
                                   java.lang.String varName)

  Given an ACD variable and the value it takes, resolve any dependent attribute values.

### setShadingAndVisibility

    private void setShadingAndVisibility(java.awt.Component c,
                                         boolean useThis,
                                         int field)

### sectionResize

    private void sectionResize(javax.swing.JPanel p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD